Subject: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

From: Brett Tate <[email-masked]>
Date: Tue, 11 Nov 2014 10:18:32 -0500

Hi,

Draft-roach-sipcore-6665-clarification-00 section 3 indicates the
following:

   This document updates [RFC6665] to clarify the actual requirement:
   "Notifiers MUST implement the Globally Routable User Agent URI (GRUU)
   extension defined in [RFC5627], and MUST use a GRUU as their local
   target for all dialog-forming methods and all target-refresh methods.
   This specifically includes dialogs created by the INVITE method."

Similar to my draft-sparks-sipcore-refer-clarifications-04 comment, it is
hard to not recommend that the following be added as the next paragraph.
;)

"The mandate ensures that GRUU and the related patents are applicable to
as many devices as possible.  At least one Patent Holder states that its
position with respect to licensing any patent claims contained in the
disclosed patent would necessarily be infringed by implementation of the
technology required by the relevant IETF specification, for the purpose of
implementing such specification, is as follows:  Reasonable and
Non-Discriminatory License to All Implementers with Possible Royalty/Fee."

https://datatracker.ietf.org/ipr/1832/

https://datatracker.ietf.org/ipr/1226/

Cheers,
Brett

---

From: Adam Roach <[email-masked]>
Date: Tue, 11 Nov 2014 07:30:09 -1000

On 11/11/14 05:18, Brett Tate wrote:
> as many devices as possible..."
>

I'm sympathetic to the point you're trying to make, but the fact of the 
matter is that this space is already rife with claims of IPR 
applicablity; for example: 
https://datatracker.ietf.org/ipr/search/?option=rfc_search&rfc_search=3261

/a

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 12 Nov 2014 14:27:53 -0500

> From: Adam Roach <[email-masked]>

> https://datatracker.ietf.org/ipr/search/?option=rfc_search&rfc_search=3261

Do we have any sort of list of the IPR claims that relate specifically
to the use of GRUUs in these contexts?  Presumably that list is far
shorter than the complete list for 3261.  I mean, how can we estimate
how much of a problem this all is for *this* draft?

Dale

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 12 Nov 2014 20:01:51 +0000

Hi,

I think the main technical reason for considering relaxing the GRUU requirement is that there are deployments and use-cases that work without GRUU, because there are other mechanisms to ensure that requests go where they are supposed to.

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

> I'm sympathetic to the point you're trying to make, but the fact of 
> the matter is that this space is already rife with claims of IPR 

Do we have any sort of list of the IPR claims that relate specifically to the use of GRUUs in these contexts?  Presumably that list is far shorter than the complete list for 3261.  I mean, how can we estimate how much of a problem this all is for *this* draft?

Dale

_______________________________________________
sipcore mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sipcore

---

From: Andrew Allen <[email-masked]>
Date: Wed, 12 Nov 2014 22:54:26 +0000

Christer

My understanding is that the deployments you are talking about only don't have the potential to create an implicit subscription because of something defined outside of the SIP protocol ensures that they only perform a subset of the defined behavior in RFCs 3515, 6665 and 4488 i.e. by defining that the UAC always includes refersub=false and by defining that the UAS always accepts that request to not create a subscription with the only way for a UAC to determine that the UAS will behave that way is because it received a media-feature tag or feature capability indicator that it knows by means outside the SIP protocol that this will happen.

I think we should clearly decide whether this fulfils the criteria for a UAC to determine definitively that no implicit subscription will be created and hence allows the UAC to send the Refer on an existing dialog. 

My own preference is not to have this qualify as a way for a UAC to be certain as this makes SIP protocol behavior dependent on some higher layer application semantic and also means that it is likely that the UAS in these cases becomes only a partial implementation of the protocol (e.g. It doesn't even implement receiving a Refer out of dialog and cannot send a Notify even if a UAC did not include Refersub = false). I think the discusion we had in Dispatch yesterday shows that problems are caused when only partial implementations of the protocol are done and assumptions about the behavior of the UAC are made.

My preference is that refer-clarifications should only allow refer-explicit-subscription mechanism as a means for UAC to determine that its ok to send the Refer on an existing dialog.

If that means we have to make these two drafts part of the same package then so be it.

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 12 Nov 2014 23:14:34 +0000

Hi Andrew,

My comment was not about knowing whether an implicit registration will be created or not, but mandating GRUU. A URI might be properly routable without being a GRUU, and adding a "dummy" gr parameter just to make the URI look like a GRUU is not good protocol design, in my opinion...

Regards,

Christer

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: 13 November 2014 00:54
To: Christer Holmberg; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Andrew Allen <[email-masked]>
Date: Wed, 12 Nov 2014 23:34:07 +0000

Christer

How else does the UA know that the URI is globally routable but by the presence of a gr parameter? Basically a GRUU is a URI with the globally routable property (and not just one obtained using the registration mechanism defines in RFC 5627). The way we indicate that a URI has the globally routable property is by the presence of the gr parameter. A URI with the globally routable property and the gr parameter is called a GRUU.

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:14 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi Andrew,

Regards,

Christer

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: 13 November 2014 00:54
To: Christer Holmberg; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 12 Nov 2014 23:56:44 +0000

Hi,

>How else does the UA know that the URI is globally routable but by the presence of a >gr parameter?

The UA has to trust that the one providing the URI provides you something that works. And, there are environments where the UA has no reason to doubt that.

Having said that, I have no problem to say "SHOULD use GRUU". But, we should allow for the use-cases and scenarios where it is not needed.

Regards,

Christer

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:14 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi Andrew,

Regards,

Christer

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: 13 November 2014 00:54
To: Christer Holmberg; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Andrew Allen <[email-masked]>
Date: Thu, 13 Nov 2014 00:08:15 +0000

Christer

That again sounds to me like some kind of special magic source that allows entities to know things which they don't know from the protocol. SIP is by design verbose and explicit and entities are supposed to determine the capabilities or properties of things using indications in the protocol not by some other special magic that only works within walled gardens.

I really don't see why requiring entities to add ";gr" to their URIs that are globally routable should be an issue.

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:56 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:14 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi Andrew,

Regards,

Christer

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: 13 November 2014 00:54
To: Christer Holmberg; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Andrew Allen <[email-masked]>
Date: Thu, 13 Nov 2014 00:11:12 +0000

I meant magic sauce not magic source!

----- Original Message -----
From: Andrew Allen [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 07:08 PM Eastern Standard Time
To: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:56 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 06:14 PM Eastern Standard Time
To: Andrew Allen; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: RE: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi Andrew,

Regards,

Christer

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: 13 November 2014 00:54
To: Christer Holmberg; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Christer

Andrew

----- Original Message -----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, November 12, 2014 03:01 PM Eastern Standard Time
To: Dale R. Worley <[email-masked]>; Adam Roach <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Hi,

Regards,

Christer

-----Original Message-----
From: sipcore [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 12 November 2014 21:28
To: Adam Roach
Cc: [email-masked]
Subject: Re: [sipcore] draft-roach-sipcore-6665-clarification-00: comment

Dale

---

From: Brett Tate <[email-masked]>
Date: Thu, 13 Nov 2014 07:19:45 -0500

Hi,

> SIP is by design verbose and explicit and entities are supposed
> to determine the capabilities or properties of things using
> indications in the protocol not by some other special magic
> that only works within walled gardens.

RFC 6665 basically says that compliant notifiers cannot be deployed within
a walled garden.  Do you think that operators, governments, et cetera will
adhere to that mandate?

RFC 3261 also mandates using globally routable Contacts.  Do you think
devices are only deployed that way?

> I really don't see why requiring entities to add ";gr" to their
> URIs that are globally routable should be an issue.

Why should a notifier indicate that their Contact is globally routable
when it isn't?  Do you think vendors design their endpoints so that they
only work when allocated a globally routable address?

Even if globally routable, why should an operator be required to indicate
";gr" if they are concerned that the consequence of the indication may be
poor interoperability or other non-desirable issues such as those
mentioned within draft-kaplan-dispatch-gruu-problematic and
draft-allen-dispatch-routing-out-of-dialog-request?

Thanks,
Brett